2019-08-24 02:36 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005185Spring engineGeneralpublic2016-04-12 11:50
Reportersilentwings 
Assigned Tohokomoko 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version 
Summary0005185: SetConfigInt fails to have any effect on GroundDetail + the chatactions to alter GroundDetail are not useful
DescriptionCalling Spring.SetConfigInt(GroundDetail,100) will not change the value of the setting in springsettings.cfg

To change this setting ingame there are the chatactions 'decreaseviewradius' and 'increaseviewradius', which are bound to home & end keys by default. These chatactions are not useful to a GUI because they offer no idea what the value of the new/old setting is (although using them does change springsettings).

There is no chatation which is able to set the GroundDetail to a given value, and there is no way to read its currently used value.
Additional Information"\grounddetail x" that applies instantly would be consistent with other similar settings.

It doesn't matter to me (and there is no convention) of whether or not doing this should save to springsettings.cfg.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
related to 0005170new water mode is not saved on shutdown 
+Relationships

-Notes

~0016110

silentwings (reporter)

Last edited: 2016-03-18 10:56

View 2 revisions

missing speech marks above; Spring.SetConfigInt("GroundDetail",100) has no effect

~0016112

Kloot (developer)

It does have an effect, but on shutdown Spring overwrites the value.

~0016113

silentwings (reporter)

Last edited: 2016-03-18 13:03

View 2 revisions

@abma: The fact that Spring.SetConfigInt fails via being overwritten, is a bug, not a feature.

~0016114

silentwings (reporter)

Last edited: 2016-03-18 14:47

View 2 revisions

Ty for https://github.com/spring/spring/commit/023f989cad270b0b4482f91687d49513f0e35cb6

Having looked at the code it seems like adding "\grounddetail x" would not be complicated, although the SMF and SM3 values are never going to be comparable. If you've not already started, I could have a go at adding it myself? About to do a few days travelling so will need some time.

~0016115

Kloot (developer)

sure, I'm in no rush ;)

~0016125

silentwings (reporter)

pr, https://github.com/spring/spring/pull/248

~0016179

silentwings (reporter)

Last edited: 2016-04-12 11:47

View 2 revisions

pr https://github.com/spring/spring/pull/250 was merged, can be closed

+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-03-18 10:48 silentwings New Issue
2016-03-18 10:56 silentwings Note Added: 0016110
2016-03-18 10:56 silentwings Note Edited: 0016110 View Revisions
2016-03-18 11:27 Kloot Note Added: 0016112
2016-03-18 11:27 Kloot Relationship added related to 0005170
2016-03-18 12:46 abma Severity major => feature
2016-03-18 13:03 silentwings Note Added: 0016113
2016-03-18 13:03 silentwings Note Edited: 0016113 View Revisions
2016-03-18 14:46 silentwings Note Added: 0016114
2016-03-18 14:47 silentwings Note Edited: 0016114 View Revisions
2016-03-18 15:37 Kloot Note Added: 0016115
2016-03-24 16:19 silentwings Note Added: 0016125
2016-04-12 11:47 silentwings Note Added: 0016179
2016-04-12 11:47 silentwings Note Edited: 0016179 View Revisions
2016-04-12 11:49 hokomoko Status new => resolved
2016-04-12 11:49 hokomoko Resolution open => fixed
2016-04-12 11:49 hokomoko Assigned To => hokomoko
2016-04-12 11:50 hokomoko Changeset attached => spring develop 83ed2d32
+Issue History